| FFmpegKit iOS / macOS / tvOS API 4.5

Instance Methods | Class Methods
FFprobeSession Class Reference

`#import <FFprobeSession.h>`

## Instance Methods
(instancetype) | - init:
(instancetype) | - init:withExecuteCallback:
(instancetype) | - init:withExecuteCallback:withLogCallback:
(instancetype) | - init:withExecuteCallback:withLogCallback:withLogRedirectionStrategy:
(BOOL) | - isFFmpeg`[implementation]`
(BOOL) | - isFFprobe`[implementation]`
Instance Methods inherited from AbstractSession
(void) | - waitForAsynchronousMessagesInTransmit:
(ExecuteCallback) | - getExecuteCallback`[implementation]`
(LogCallback) | - getLogCallback`[implementation]`
(long) | - getSessionId`[implementation]`
(NSDate *) | - getCreateTime`[implementation]`
(NSDate *) | - getStartTime`[implementation]`
(NSDate *) | - getEndTime`[implementation]`
(long) | - getDuration`[implementation]`
(NSArray *) | - getArguments`[implementation]`
(NSString *) | - getCommand`[implementation]`
(NSArray *) | - getAllLogsWithTimeout:`[implementation]`
(NSArray *) | - getAllLogs`[implementation]`
(NSArray *) | - getLogs`[implementation]`
(NSString *) | - getAllLogsAsStringWithTimeout:`[implementation]`
(NSString *) | - getAllLogsAsString`[implementation]`
(NSString *) | - getLogsAsString`[implementation]`
(NSString *) | - getOutput`[implementation]`
(SessionState) | - getState`[implementation]`
(ReturnCode *) | - getReturnCode`[implementation]`
(NSString *) | - getFailStackTrace`[implementation]`
(LogRedirectionStrategy) | - getLogRedirectionStrategy`[implementation]`
(BOOL) | - thereAreAsynchronousMessagesInTransmit`[implementation]`
(void) | - addLog:`[implementation]`
(void) | - startRunning`[implementation]`
(void) | - complete:`[implementation]`
(void) | - fail:`[implementation]`
(void) | - cancel`[implementation]`

## Class Methods
(void) | + initialize`[implementation]`

## Detailed Description

An FFprobe session.

Definition at line 29 of file FFprobeSession.h.

## Method Documentation

## ◆ init:

- (instancetype) init: |  | (NSArray*) | arguments |

Builds a new FFprobe session.

Parameters

  arguments | command arguments

Reimplemented in MediaInformationSession.

Definition at line 1 of file FFprobeSession.m.

## ◆ init:withExecuteCallback:

- (instancetype) init: |  | (NSArray*) | arguments
withExecuteCallback: |  | (ExecuteCallback) | executeCallback

Builds a new FFprobe session.

Parameters

  arguments | command arguments
  executeCallback | session specific execute callback

Reimplemented in MediaInformationSession.

Definition at line 1 of file FFprobeSession.m.

## ◆ init:withExecuteCallback:withLogCallback:

- (instancetype) init: |  | (NSArray*) | arguments
withExecuteCallback: |  | (ExecuteCallback) | executeCallback
withLogCallback: |  | (LogCallback) | logCallback

Builds a new FFprobe session.

Parameters

  arguments | command arguments
  executeCallback | session specific execute callback
  logCallback | session specific log callback

Reimplemented in MediaInformationSession.

Definition at line 1 of file FFprobeSession.m.

## ◆ init:withExecuteCallback:withLogCallback:withLogRedirectionStrategy:

- (instancetype) init: |  | (NSArray*) | arguments
withExecuteCallback: |  | (ExecuteCallback) | executeCallback
withLogCallback: |  | (LogCallback) | logCallback
withLogRedirectionStrategy: |  | (LogRedirectionStrategy) | logRedirectionStrategy

Builds a new FFprobe session.

Parameters

  arguments | command arguments
  executeCallback | session specific execute callback
  logCallback | session specific log callback
  logRedirectionStrategy | session specific log redirection strategy

Reimplemented from AbstractSession.

Definition at line 1 of file FFprobeSession.m.

## ◆ initialize

+ (void) initialize |  |  |
| implementation

Reimplemented from AbstractSession.

Reimplemented in MediaInformationSession.

Definition at line 1 of file FFprobeSession.m.

## ◆ isFFmpeg

- (BOOL) isFFmpeg |  |  |
| implementation

Returns whether it is an `FFmpeg` session or not.

Returns
  true if it is an `FFmpeg` session, false otherwise

Reimplemented from AbstractSession.

Definition at line 1 of file FFprobeSession.m.

## ◆ isFFprobe

- (BOOL) isFFprobe |  |  |
| implementation

Returns whether it is an `FFprobe` session or not.

Returns
  true if it is an `FFprobe` session, false otherwise

Reimplemented from AbstractSession.

Definition at line 1 of file FFprobeSession.m.

The documentation for this class was generated from the following files:

- FFprobeSession.h
- FFprobeSession.m